Skip to content

Update container

PUT
/api/v1/projects/{projectId}/{agentType}/container

Updates the project’s container configuration. Lightweight changes (budget, skip permissions, allowed domains) are applied in-place. Other changes (image, mounts, env vars, network mode, agent type) trigger a full container recreation.

projectId
required
string

Project ID

Updated container configuration

One of:
object

OK

Container holds the container result when a container was created. Nil when the request did not include container configuration.

object
agentType

AgentType is the agent type for this container.

string
containerId

ContainerID is the Docker container ID.

string
name

Name is the container name.

string
projectId

ProjectID is the deterministic project identifier.

string
recreated

Recreated is true when the container was fully recreated (not just settings updated).

boolean

Bad Request

object
code
string
Allowed values: INVALID_BODY INVALID_CONTAINER_ID INVALID_CONTAINER_NAME INVALID_WORKTREE_ID INVALID_WORKTREE_NAME REQUIRED_FIELD INVALID_PATH INVALID_NETWORK_CONFIG NOT_A_DIRECTORY NOT_FOUND NAME_TAKEN NOT_CONFIGURED STALE_MOUNTS BUDGET_EXCEEDED PROXY_ERROR INTERNAL
error
string

Not Found

object
code
string
Allowed values: INVALID_BODY INVALID_CONTAINER_ID INVALID_CONTAINER_NAME INVALID_WORKTREE_ID INVALID_WORKTREE_NAME REQUIRED_FIELD INVALID_PATH INVALID_NETWORK_CONFIG NOT_A_DIRECTORY NOT_FOUND NAME_TAKEN NOT_CONFIGURED STALE_MOUNTS BUDGET_EXCEEDED PROXY_ERROR INTERNAL
error
string

Internal Server Error

object
code
string
Allowed values: INVALID_BODY INVALID_CONTAINER_ID INVALID_CONTAINER_NAME INVALID_WORKTREE_ID INVALID_WORKTREE_NAME REQUIRED_FIELD INVALID_PATH INVALID_NETWORK_CONFIG NOT_A_DIRECTORY NOT_FOUND NAME_TAKEN NOT_CONFIGURED STALE_MOUNTS BUDGET_EXCEEDED PROXY_ERROR INTERNAL
error
string